﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using System.IO;
using System.Data.SqlClient;
using System.Data;

namespace TratandoImagens_WPF
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        DataSet ds = null;
        SqlConnection sqlCon = null;
        string conStr = @"Data Source=.\SQLEXPRESS;Initial Catalog=Cadastro;Integrated Security=True;";

        public Window1()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            sqlCon = new SqlConnection(conStr);
            sqlCon.Open();
            ds = new DataSet();
            SqlDataAdapter sqa = new SqlDataAdapter("SELECT nome FROM Fotos", sqlCon);

            sqa.Fill(ds);
            sqlCon.Close();

            foreach (DataRow dataRow in ds.Tables[0].Rows)
            {
                ListBoxItem lbItem = new ListBoxItem();
                lbItem.Content = dataRow[0].ToString();
                lstImagens.Items.Add(lbItem);
            }
        }

        private void lstImagens_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SqlConnection sqlCon = new SqlConnection(conStr);
            ListBoxItem lb = (lstImagens.SelectedItem as ListBoxItem);
            sqlCon.Open();
            ds = new DataSet();
            SqlDataAdapter sqa = new SqlDataAdapter ("Select imagem from Fotos where nome='" + lb.Content.ToString() + "'", sqlCon);
            sqa.Fill(ds);
            sqlCon.Close();

            byte[] data = (byte[]) ds.Tables[0].Rows[0][0];
            MemoryStream strm = new MemoryStream();
            strm.Write(data, 0, data.Length);
            strm.Position = 0;
            System.Drawing.Image img = System.Drawing.Image.FromStream(strm);
            BitmapImage bi = new BitmapImage();
            bi.BeginInit();
            MemoryStream ms = new MemoryStream();
            img.Save(ms, System.Drawing.Imaging.ImageFormat.Bmp);
            ms.Seek(0, SeekOrigin.Begin);
            bi.StreamSource = ms;
            bi.EndInit();
            imgArquivo.Source = bi;
        }
    }
}
